import request from '@/utils/request';



export const getTrainingStat = (params: any) => {
  return request.post('/edu-app/lessonTraining/trainingStat', {
    data: params
    // requestType: 'form'
  });
};


export const getTrainingStatList = (params: any) => {
  return request.post(`/edu-app/musicPracticeRecordStat/trainingList`, {
    data: params
  });
};


export const getTestStat = (params: any) => {
  return request.post('/edu-app/musicPracticeRecordStat/trainingStat', {
    data: params
    // requestType: 'form'
  });
};

export const getPracticePageStat = (params: any) => {
  return request.post('/edu-app/musicPracticeRecordStat/practicePageStat', {
    data: params
    // requestType: 'form'
  });
};


export const getTrainingRanking = (params: any) => {
  return request.post('/edu-app/musicPracticeRecordStat/trainingRanking', {
    data: params
    // requestType: 'form'
  });
}
